List the caller's records of a collection kept on this node, in record-key order. Shaped like com.atproto.repo.listRecords.
GET
/xrpc/place.stream.local.listRecords
const url = 'https://example.com/xrpc/place.stream.local.listRecords?repo=example&collection=example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/xrpc/place.stream.local.listRecords?repo=example&collection=example'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”repo
required
string format: did
collection
required
string format: nsid
Responses
Section titled “Responses”Success
Media typeapplication/json
object
records
required
Array<object>
object
uri
required
string format: uri
cid
required
string format: cid
value
required
Example generated
{ "records": [ { "uri": "https://example.com", "cid": "example", "value": "example" } ]}